<template>
<div class="page">
  <v-layout row justify-center pt-5  class="signin">
   
     <v-form ref="form" >
      <v-card >
        <v-card-title class="justify-center">
         
          <span class="headline">SIGN IN</span>
         
        </v-card-title>
        <v-card-text>
          
            <v-layout wrap>
              
              <v-flex xs12 sm11> 
                <v-text-field color="blue" label="Username" prepend-icon="person" v-model="id.username" required :rules="usernameRules"></v-text-field>
              </v-flex>
              <v-flex xs12 sm11>
                 <v-text-field color="blue" label="Password" type="password" prepend-icon="lock" v-model="id.password" required :rules="passwordRules"></v-text-field>
              </v-flex>
             
            </v-layout>
        
        <v-card-actions class="justify-center">
          <v-flex xs12 sm11>
          <v-btn class="mt-2" large block color="#d50000" dark @click="login">LOG IN</v-btn>
          </v-flex>
        </v-card-actions>
      </v-card-text>
 <v-card-actions class="justify-center">
         <v-card-text>Don't have an account?</v-card-text><v-btn flat color="#d50000" to="/signup">SIGN UP</v-btn>
       </v-card-actions>
      </v-card>
     </v-form>
  </v-layout>
</div>
</template>

<script>
import swal from 'sweetalert'
export default {
 data () {
   return {
     id: { username: '', password: ''},

     username:'',
     usernameRules:[
       v =>!!v ||' username is required'
     ],
     password:'',
     passwordRules:[
       v =>!!v ||' password is required'
     ],
     dialog: false
    
 }

 },
 methods: {
  async getData () {
      try {
        var {data} = await this.axios.get('http://192.168.43.201:4000/user')
        console.log(data)
        this.datas = data
      } catch (error) {
        console.log(error.message)
      }
  },

  async login() {
    if(this.$refs.form.validate()){
      // if(this.$refs.form.validate()){
      console.log(this.id);
    try {
      if (this.id) {
      await this.axios
        .post("http://192.168.253.50:4000/login", this.id)
        .then(res => {
          console.log('result: ',res)
          if (res.data.isValid) {
             //console.log( res.data.objUser.token)
            localStorage.setItem('token', res.data.objUser.token),
            localStorage.setItem('username', res.data.objUser.username)
              swal("", "Login Complete", "success", {
              buttons: false,
              timer: 2000,
            })
            .then (window.location.replace("/"))
           
                   
          } else {
            console.log("error");
            swal("Login Failed!","username / password invalid", "error")
          }
        });
      }
      } catch(error) {
        console.log('result: ', error.message);
        swal("Login Failed!","username / password invalid", "error")
      }
    }   
  },
 }
}
</script>

<style>
.page{
  background-image:url("http://i.imgur.com/Z6M8wO2.jpg") ;
  height: 100%;
  width: 100%;
  background-position:center;
   background-repeat:no-repeat;
   background-size:cover;  
}

/* .signin{
  opacity: 0.9;
} */
</style>


